# ``twisted`.`cred`.`checkers`.`ICredentialsChecker``

interface documentation

`class ICredentialsChecker(Interface): (source)`

Known implementations: `twisted.conch.checkers.SSHProtocolChecker`, `twisted.conch.checkers.SSHPublicKeyChecker`, `twisted.conch.checkers.SSHPublicKeyDatabase`, `twisted.conch.checkers.UNIXPasswordDatabase`, `twisted.cred.checkers.AllowAnonymousAccess`, `twisted.cred.checkers.FilePasswordDB`, `twisted.cred.checkers.InMemoryUsernamePasswordDatabaseDontUse`, `twisted.mail.maildir.DirdbmDatabase`, `twisted.plugins.cred_unix.UNIXChecker`

View In Hierarchy

An object that can check sub-interfaces of `ICredentials`.

Method | `requestAvatarId` | Validate credentials and produce an avatar ID.
Attribute | `credentialInterfaces` | A list of sub-interfaces of `ICredentials` which specifies which I may check.

def requestAvatarId(credentials): (source)
Validate credentials and produce an avatar ID.

Parameters
credentials | something which implements one of the interfaces in `credentialInterfaces`.
Returns
a `Deferred` which will fire with a `bytes` that identifies an avatar, an empty tuple to specify an authenticated anonymous user (provided as `twisted.cred.checkers.ANONYMOUS`) or fail with `UnauthorizedLogin`. Alternatively, return the result itself.
See Also
`twisted.cred.credentials`

credentialInterfaces = (source)
A list of sub-interfaces of `ICredentials` which specifies which I may check.